[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# FindNext

Find next matching file after FindFirst

## Declaration

Source position: dosh.inc line 105

`procedure FindNext(`
`var f: SearchRec`
`);`

## Description

FindNext takes as an argument a SearchRec from a previous FindNext call, or a FindFirst call, and tries to find another file which matches the criteria, specified in the FindFirst call. If DosError is different from zero, no more files matching the criteria were found.

For an example, see FindFirst.

## Errors

DosError is used to report errors.

## See also

FindFirst |  | Start search for one or more files.
FindClose |  | Dispose resources allocated by a FindFirst/FindNext sequence.